Package ru.bitel.bgbilling.apps.inet.accounting.event

# Class InetAccountingManageEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.apps.inet.accounting.event.InetAccountingManageEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class InetAccountingManageEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Событие (команда) о том что нужно начать/остановить сессию.

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `TYPE_START` |
  `static int` | `TYPE_STOP` |
  `static int` | `TYPE_UPDATE` |

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `InetAccountingManageEvent()` |
  `` | `InetAccountingManageEvent​(int moduleId, int contractId, int userId, int accountingRootDeviceId, InetConnection connection, int type, long timeout)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `InetConnection` | `getConnection()` |
  `long` | `getTimeout()` |
  `int` | `getType()` |
  `void` | `prepareMessage​(javax.jms.Message message)` |
  `void` | `setConnection​(InetConnection connection)` |
  `protected void` | `toString​(java.lang.StringBuilder sb)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_START

    public static final int TYPE_START
    See Also:
      Constant Field Values

  - ### TYPE_STOP

    public static final int TYPE_STOP
    See Also:
      Constant Field Values

  - ### TYPE_UPDATE

    public static final int TYPE_UPDATE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### InetAccountingManageEvent

    protected InetAccountingManageEvent()

  - ### InetAccountingManageEvent

    public InetAccountingManageEvent​(int moduleId, int contractId, int userId, int accountingRootDeviceId, InetConnection connection, int type, long timeout)

- ## Method Details

  - ### getConnection

    public InetConnection getConnection()

  - ### setConnection

    public void setConnection​(InetConnection connection)

  - ### getType

    public int getType()

  - ### getTimeout

    public long getTimeout()

  - ### prepareMessage

    public void prepareMessage​(javax.jms.Message message) throws javax.jms.JMSException
    Overrides:
      `prepareMessage` in class `ru.bitel.bgbilling.kernel.event.common.Event`
    Throws:
      `javax.jms.JMSException`

  - ### toString

    protected void toString​(java.lang.StringBuilder sb)
    Overrides:
      `toString` in class `ru.bitel.bgbilling.kernel.event.common.Event`